package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

/**
 *yearreportdata_manager
 *
 */
public class YearreportdataManager extends BaseModel {

    /**  */
	private static final long serialVersionUID = 5331046014769103901L;

	/**
    *现任名称
    */
	@ModelAnnotation(getName="现任名称",column = "generalmanager")
    private String generalmanager;

    /**
    *学历
    */
	@ModelAnnotation(getName="学历",column = "education")
    private String education;

    /**
    *专业
    */
	@ModelAnnotation(getName="专业",column = "major")
    private String major;

    /**
    *任职开始时间
    */
	@ModelAnnotation(getName="任职开始时间",column = "starttime")
    private String starttime;

    /**
    *任职结束时间
    */
	@ModelAnnotation(getName="任职结束时间",column = "endtime")
    private String endtime;

    /**
    *前总经理
    */
	@ModelAnnotation(getName="前总经理",column = "fontgeneralmanager")
    private String fontgeneralmanager;

    /**
    *前任职开始时间
    */
	@ModelAnnotation(getName="前任职开始时间",column = "fontstarttime")
    private String fontstarttime;

    /**
    *前任职结束时间
    */
	@ModelAnnotation(getName="前任职结束时间",column = "fontendtime")
    private String fontendtime;

    /**
    *类型
    */
	@ModelAnnotation(getName="类型",column = "managertype")
    private String managertype;


	/***
	 * 用户ID
	 */
	@ModelAnnotation(getName="用户ID",column = "userid")
	private Long userid;

	public Long getUserid() {

		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**
	 *现任名称
	 */
	public String getGeneralmanager(){
		return this.generalmanager;
	}
	
	/**
	 *现任名称
	 */
	public void setGeneralmanager(String generalmanager){
		this.generalmanager = generalmanager;
	}
	/**
	 *学历
	 */
	public String getEducation(){
		return this.education;
	}
	
	/**
	 *学历
	 */
	public void setEducation(String education){
		this.education = education;
	}
	/**
	 *专业
	 */
	public String getMajor(){
		return this.major;
	}
	
	/**
	 *专业
	 */
	public void setMajor(String major){
		this.major = major;
	}
	/**
	 *任职开始时间
	 */
	public String getStarttime(){
		return this.starttime;
	}
	
	/**
	 *任职开始时间
	 */
	public void setStarttime(String starttime){
		this.starttime = starttime;
	}
	/**
	 *任职结束时间
	 */
	public String getEndtime(){
		return this.endtime;
	}
	
	/**
	 *任职结束时间
	 */
	public void setEndtime(String endtime){
		this.endtime = endtime;
	}
	/**
	 *前总经理
	 */
	public String getFontgeneralmanager(){
		return this.fontgeneralmanager;
	}
	
	/**
	 *前总经理
	 */
	public void setFontgeneralmanager(String fontgeneralmanager){
		this.fontgeneralmanager = fontgeneralmanager;
	}
	/**
	 *前任职开始时间
	 */
	public String getFontstarttime(){
		return this.fontstarttime;
	}
	
	/**
	 *前任职开始时间
	 */
	public void setFontstarttime(String fontstarttime){
		this.fontstarttime = fontstarttime;
	}
	/**
	 *前任职结束时间
	 */
	public String getFontendtime(){
		return this.fontendtime;
	}
	
	/**
	 *前任职结束时间
	 */
	public void setFontendtime(String fontendtime){
		this.fontendtime = fontendtime;
	}
	/**
	 *类型
	 */
	public String getManagertype(){
		return this.managertype;
	}
	
	/**
	 *类型
	 */
	public void setManagertype(String managertype){
		this.managertype = managertype;
	}
	
}